#----------------------------#
# forecast future evolutions
#
#(training data: 8 years)
#  #(generate 15 years (8+7years))
#----------------------------#
label="s_games4"
#---------------------------#
    echo $label
    seqfn="_dat/"$label"_dat"
    outdir="_out/tmp/forecast_"$label"/"
    mkdir $outdir
#---------------------------#
  #--- n: training data length
  i=8 # i=8 years
  n=`expr 52 \* $i` 
  name="n"$n"_"
  #--- nf: forecasting length
  nf=`expr 52 \* 15` 
  cp $seqfn $outdir"seq_org.txt"
  
  #--- (1) fitting 
  #python main_fit.py -s $seqfn -t 'p' -o $outdir$name -n $n 
  #--- (2) forecasting (i.e., generating) (1:nf)
  model=$outdir$name"proposed_u_model"
  python main_gen.py -m $model -t 'u' -o $outdir$name"forecast_" -n $nf  
  # if mac, open png file
  open $outdir$name"forecast_u_fit.png"
#---------------------------#


